صفحة 1 من 2 1 2 الأخيرةالأخيرة
النتائج 1 إلى 15 من 18

الموضوع: مشكلة عندي جديدة في لينكس في ال Network

  1. #1
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    مشكلة عندي جديدة في لينكس في ال Network



    بصوا يا جماعة انا كان ليا موضوع قبل كدا بخصوص squid بس خلاص ظبطت المشكلة الي فيه المهم هو هو نفس السيرفر وفي كارتتين نيتك ورك بس المرة دي الموضوع مالوش دعوة بال squid
    المرة دي لما باجي اعمل ريستارت لل network بالكوماند ده:
    etc/init.d/network restart
    تمام الاول كانت بتعمل عادي
    دلؤتي بتعمل وبتطلع كلام كتير جدا ملخصه ان الاي بي بتاع الكارتتين used في حد تاني واخده بس الاكيد ان ده مش حقيقي لان انا لما بفصل السيرفر ده واعمل بنج لل اتنين اي بي مش بلاقيهم الا لو هو موجود فانا متوقع على حد علمي البسيط ان في مشكلة حصلت ان فيه كوفيجريشن مثلا متكررة في مكانين او في كاش معلق حاجة كدا يعني لو حد عنده معلومة ياريت يقولي وابقى شاكر جدا

  2. #2
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    مش ممكن يا جماعة عشرين واحد شافوا الموضوع ولا واحد رد باي حل للدرجة دي مشكلتي صعبة ولا ايه؟
    :ah46::ah46::ah46:

  3. #3
    عضو برونزي الصورة الرمزية Nightspy
    تاريخ التسجيل
    May 2007
    المشاركات
    1,573
    معدل تقييم المستوى
    12

    رد: مشكلة عندي جديدة في لينكس في ال Network

    يا اخى الفاضل ممكن يكون جهاز واخدة و لاكن الFirewall لا يسمح الخاص بالجهاز لا يسمح بعمل Ping

    راجع الDHCP Server

    و خلى الاتنين ip دول Exclude

    [SIZE=1][B][B]..||..[/B][/B][/SIZE][SIZE=1][B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=125858"]حمل جميع محاضرات احمد نبيل R&S من رفعى[/URL]..||..[/B][/B][B][B][COLOR=Red][URL="http://www.arabhardware.net/forum/showthread.php?t=119516"]شرح IS-IS[/URL][/COLOR]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=108310"][B]شرح IPv6,OSPFv3 [/B][/URL][B]..||..[URL="http://www.arabhardware.net/forum/showthread.php?t=108310"].[/URL][/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=100662"][B]شرح كامل للOSPF[/B][/URL][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=91625"][B]حصريا شرح الEigrp[/B][/URL][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93682"]كن خبير لتحليل ترافيك شبكتك مع شرحWireShark[/URL][/B][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=94484&highlight=iptv"][B]مقال عن تقنية الIPTV[/B][B][B]..||..[/B][/B][/URL][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93854"]جميع اوامر الروتنجIOS[/URL][/B][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=94813"]أفضل برنامج لرسم وتخطيط الشبكات وبدون تنصيب[/URL][/B][B][B]..||..

    [/B][/B] [URL="http://badr-call-manager.blogspot.com/"][IMG]http://muslimtech.files.wordpress.com/2010/06/blog-badr-banner.jpg[/IMG][/URL]
    [URL="http://mohammad.islamway.com/"][B]سيرة أشرف من مس هذا الكوكب بقدمه وبجميع اللغات[/B][/URL]

    [/SIZE]

  4. #4
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    ما هما فعلا معمول ليهمexclude علما بأن وحد فيهم real ip ثانيا على فكرة ده بيطلع كمان ده في local loop ثالثا الفايرول انا قالفله وهي هي

  5. #5
    عضو برونزي الصورة الرمزية Nightspy
    تاريخ التسجيل
    May 2007
    المشاركات
    1,573
    معدل تقييم المستوى
    12

    رد: مشكلة عندي جديدة في لينكس في ال Network

    ممكن اشوف الoutput for ifconfig
    [SIZE=1][B][B]..||..[/B][/B][/SIZE][SIZE=1][B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=125858"]حمل جميع محاضرات احمد نبيل R&S من رفعى[/URL]..||..[/B][/B][B][B][COLOR=Red][URL="http://www.arabhardware.net/forum/showthread.php?t=119516"]شرح IS-IS[/URL][/COLOR]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=108310"][B]شرح IPv6,OSPFv3 [/B][/URL][B]..||..[URL="http://www.arabhardware.net/forum/showthread.php?t=108310"].[/URL][/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=100662"][B]شرح كامل للOSPF[/B][/URL][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=91625"][B]حصريا شرح الEigrp[/B][/URL][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93682"]كن خبير لتحليل ترافيك شبكتك مع شرحWireShark[/URL][/B][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=94484&highlight=iptv"][B]مقال عن تقنية الIPTV[/B][B][B]..||..[/B][/B][/URL][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93854"]جميع اوامر الروتنجIOS[/URL][/B][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=94813"]أفضل برنامج لرسم وتخطيط الشبكات وبدون تنصيب[/URL][/B][B][B]..||..

    [/B][/B] [URL="http://badr-call-manager.blogspot.com/"][IMG]http://muslimtech.files.wordpress.com/2010/06/blog-badr-banner.jpg[/IMG][/URL]
    [URL="http://mohammad.islamway.com/"][B]سيرة أشرف من مس هذا الكوكب بقدمه وبجميع اللغات[/B][/URL]

    [/SIZE]

  6. #6
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    there is the output
    eth0 Link encap:Ethernet HWaddr 00:02:55:C8:41:5E
    inet addr:192.168.1.10 Bcast:192.168.1.255 Mask:255.255.255.0
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:1774344 errors:0 dropped:0 overruns:0 frame:0
    TX packets:6417758 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000

    eth1 Link encap:Ethernet HWaddr 00:D0:B7:AF:AB:A7
    inet addr:196.xxx.xxx.xxx Bcast:196.xxx.xxx.xxx Mask:255.255.255.240
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:8023872 errors:0 dropped:0 overruns:0 frame:0
    TX packets:11764420 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000

    lo Link encap:Local Loopback
    inet addr:127.0.0.1 Mask:255.0.0.0
    UP LOOPBACK RUNNING MTU:16436 Metric:1
    RX packets:4319 errors:0 dropped:0 overruns:0 frame:0
    TX packets:4319 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:0

  7. #7
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    ايه يا جدعان محدش رد على موضوعي تاني ليه؟؟؟؟؟؟؟؟؟؟؟؟؟؟؟؟

  8. #8
    عضو
    تاريخ التسجيل
    Apr 2007
    المشاركات
    532
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    اخي اذهب الى الفولدر التالي

    /etc/sysconfig/network-scripts

    وجوف اذا كان موجود اكثر من فايل للنتورك كارد الي عندك مثلا ifcfg-eth0 وما يكون في حاجه ثانيه لل eth0 غير هذا الفايل اذا فيه اسمحه وتخلي بس الاصليifcfg-eth0 وكذلك نفس الحال اللكارد الثاني

    وبعدين اعمل ريستارت لل dhcp server و بعدين للنتورك سيرفس

    وخبرني شنو يصير معاك

  9. #9
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    مفيش اي حاجة جوه
    /etc/sysconfig/network-scripts
    كله عادي مفيش تكرار اما بالنسبة لل dhcp فا اصلا هو مالوش علاقة بيه لان الاي بي الي واخده اللينكس بره ال range بتاع ال dhcp

  10. #10
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    ايه يا جدعان محدش بيرد على الموضوع ليه كدا
    :ah8::ah8::ah8::ah8:

  11. #11
    عضو برونزي الصورة الرمزية Nightspy
    تاريخ التسجيل
    May 2007
    المشاركات
    1,573
    معدل تقييم المستوى
    12

    رد: مشكلة عندي جديدة في لينكس في ال Network

    بجد الموضوع محير

    طيب ممكن نشوف الoutput بعد كتابة Service network restart

    بالاضافة للملف الخاص بالeth0 or 1 تحديدا الخاص بالمشكلة وسوف تجدة داخل هذا الpath
    /etc/sysconfig/network-scripts
    [SIZE=1][B][B]..||..[/B][/B][/SIZE][SIZE=1][B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=125858"]حمل جميع محاضرات احمد نبيل R&S من رفعى[/URL]..||..[/B][/B][B][B][COLOR=Red][URL="http://www.arabhardware.net/forum/showthread.php?t=119516"]شرح IS-IS[/URL][/COLOR]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=108310"][B]شرح IPv6,OSPFv3 [/B][/URL][B]..||..[URL="http://www.arabhardware.net/forum/showthread.php?t=108310"].[/URL][/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=100662"][B]شرح كامل للOSPF[/B][/URL][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=91625"][B]حصريا شرح الEigrp[/B][/URL][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93682"]كن خبير لتحليل ترافيك شبكتك مع شرحWireShark[/URL][/B][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=94484&highlight=iptv"][B]مقال عن تقنية الIPTV[/B][B][B]..||..[/B][/B][/URL][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93854"]جميع اوامر الروتنجIOS[/URL][/B][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=94813"]أفضل برنامج لرسم وتخطيط الشبكات وبدون تنصيب[/URL][/B][B][B]..||..

    [/B][/B] [URL="http://badr-call-manager.blogspot.com/"][IMG]http://muslimtech.files.wordpress.com/2010/06/blog-badr-banner.jpg[/IMG][/URL]
    [URL="http://mohammad.islamway.com/"][B]سيرة أشرف من مس هذا الكوكب بقدمه وبجميع اللغات[/B][/URL]

    [/SIZE]

  12. #12
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    بالنسبة service network restart
    هو ده ال output بتاعه بس متتخضش ولو شفت حاجة كدا 192.xxx.xxx.xxx دي انا الي مغيرها بدل الاي بي الحقيقي تمام
    [root@squid-srvr ~]# service network restart
    ./network-functions: line 279: 29287 Broken pipe echo $1
    29288 Segmentation fault | grep -q ':'
    ./network-functions: line 279: 29289 Done LC_ALL=C ip -o link 2>/dev/null
    29290 Segmentation fault | grep -q "$1[].*,UP"
    ./network-functions: line 279: 29292 Done echo $1
    29293 Segmentation fault | grep -q ':'
    ./network-functions: line 279: 29294 Done LC_ALL=C ip -o link 2>/dev/null
    29295 Segmentation fault | grep -q "$1[].*,UP"
    Shutting down loopback interface: ./network-functions: line 66: 29308 Done echo ${CONFIG##*/}
    29309 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 66: 29328 Done echo ${CONFIG##*/}
    29329 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 279: 29337 Done echo $1
    29338 Segmentation fault | grep -q ':'
    ./network-functions: line 279: 29339 Done LC_ALL=C ip -o link 2>/dev/null
    29340 Segmentation fault | grep -q "$1[].*,UP"
    ./network-functions: line 279: 29344 Done echo $1
    29345 Segmentation fault | grep -q ':'
    ./network-functions: line 279: 29346 Done LC_ALL=C ip -o link 2>/dev/null
    29347 Segmentation fault | grep -q "$1[].*,UP"
    ./network-functions: line 66: 29360 Done echo ${CONFIG##*/}
    29361 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 341: 29370 Broken pipe LC_ALL=C ip route list match 0/0
    29371 Segmentation fault | grep -q default
    ./network-functions: line 341: 29372 Done LC_ALL=C ip route list match 0/0
    29373 Segmentation fault | grep -q default
    [ OK ]
    Disabling IPv4 packet forwarding: net.ipv4.ip_forward = 0
    [ OK ]
    Bringing up loopback interface: ./network-functions: line 66: 29408 Done echo ${CONFIG##*/}
    29409 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 66: 29428 Done echo ${CONFIG##*/}
    29429 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 216: 29437 Done LC_ALL= LANG= ip -o link
    29438 Segmentation fault | grep -q $1
    ./network-functions: line 216: 29439 Done LC_ALL= LANG= ip -o link
    29440 Segmentation fault | grep -q $1
    ./network-functions: line 385: 29441 Done LC_ALL=C iwconfig $1 2>&1
    29442 Segmentation fault | grep -q "no wireless extensions"
    Error for wireless request "Set Encode" (8B2A) :
    SET failed on device lo ; Operation not supported.
    /etc/sysconfig/network-scripts/ifup-eth: line 282: 29447 Done LC_ALL=C ip addr ls ${REALDEVICE}
    29448 Segmentation fault | LC_ALL=C grep -q "${IPADDR}/${PREFIX}"
    RTNETLINK answers: File exists
    Error adding address 127.0.0.1 for lo.
    ./network-functions: line 66: 29467 Done echo ${CONFIG##*/}
    29468 Segmentation fault | grep -q '[^g]-'
    [ OK ]
    /etc/init.d/network: line 95: 29498 Segmentation fault LANG=C egrep -L "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i >/dev/null
    Bringing up interface eth0: ./network-functions: line 66: 29511 Done echo ${CONFIG##*/}
    29512 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 66: 29527 Done echo ${CONFIG##*/}
    29528 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 216: 29532 Done LC_ALL= LANG= ip -o link
    29533 Segmentation fault | grep -q $1
    ./network-functions: line 216: 29536 Done LC_ALL= LANG= ip -o link
    29537 Segmentation fault | grep -q $1
    ./network-functions: line 385: 29538 Done LC_ALL=C iwconfig $1 2>&1
    29539 Segmentation fault | grep -q "no wireless extensions"
    Error for wireless request "Set Encode" (8B2A) :
    SET failed on device eth0 ; Operation not supported.
    /etc/sysconfig/network-scripts/ifup-eth: line 282: 29544 Done LC_ALL=C ip addr ls ${REALDEVICE}
    29545 Segmentation fault | LC_ALL=C grep -q "${IPADDR}/${PREFIX}"
    Error, some other host already uses address 192.xxx.Xxx.xxx.
    [FAILED]
    /etc/init.d/network: line 95: 29551 Segmentation fault LANG=C egrep -L "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i >/dev/null
    Bringing up interface eth1: ./network-functions: line 66: 29568 Done echo ${CONFIG##*/}
    29569 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 66: 29584 Done echo ${CONFIG##*/}
    29585 Segmentation fault | grep -q '[^g]-'
    ./network-functions: line 216: 29589 Done LC_ALL= LANG= ip -o link
    29590 Segmentation fault | grep -q $1
    ./network-functions: line 216: 29593 Done LC_ALL= LANG= ip -o link
    29594 Segmentation fault | grep -q $1
    ./network-functions: line 385: 29595 Done LC_ALL=C iwconfig $1 2>&1
    29596 Segmentation fault | grep -q "no wireless extensions"
    Error for wireless request "Set Encode" (8B2A) :
    SET failed on device eth1 ; Operation not supported.
    /etc/sysconfig/network-scripts/ifup-eth: line 282: 29601 Done LC_ALL=C ip addr ls ${REALDEVICE}
    29602 Segmentation fault | LC_ALL=C grep -q "${IPADDR}/${PREFIX}"
    Error, some other host already uses address 196.xxx.xxx.xxx.
    [FAILED]

    ودي ال configration بتاعة eth0
    # Intel Corporation 82557/8/9 Ethernet Pro 100
    DEVICE=eth0
    BOOTPROTO=none
    BROADCAST=192.xxx.xxx.xxx
    HWADDR=00:02:55:C8:41:5E
    IPADDR=192.xxx.xxx.xxx
    NETMASK=255.255.255.0
    NETWORK=192.xxx.xxx.xxx
    ONBOOT=yes
    TYPE=Ethernet

    ودي ال configrution بتاعة ال eth1
    # Intel Corporation 82557/8/9 Ethernet Pro 100
    DEVICE=eth1
    BOOTPROTO=none
    BROADCAST=196.xxx.xxx.xxx
    HWADDR=00:D0:B7:AF:AB:A7
    IPADDR=196.xxx.xxx.xxx
    NETMASK=255.255.255.240
    NETWORK=196.xxx.xxx.xxx
    ONBOOT=yes
    GATEWAY=196.xxx.xxx.xxx
    TYPE=Ethernet
    USERCTL=no
    IPV6INIT=no
    PEERDNS=yes

    يارب يسهلنا

  13. #13
    عضو برونزي الصورة الرمزية Nightspy
    تاريخ التسجيل
    May 2007
    المشاركات
    1,573
    معدل تقييم المستوى
    12

    رد: مشكلة عندي جديدة في لينكس في ال Network

    ممكن نبص على محتوى الملف دا
    etc/sysconfig/network-scripts/ifup-eth
    [SIZE=1][B][B]..||..[/B][/B][/SIZE][SIZE=1][B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=125858"]حمل جميع محاضرات احمد نبيل R&S من رفعى[/URL]..||..[/B][/B][B][B][COLOR=Red][URL="http://www.arabhardware.net/forum/showthread.php?t=119516"]شرح IS-IS[/URL][/COLOR]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=108310"][B]شرح IPv6,OSPFv3 [/B][/URL][B]..||..[URL="http://www.arabhardware.net/forum/showthread.php?t=108310"].[/URL][/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=100662"][B]شرح كامل للOSPF[/B][/URL][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=91625"][B]حصريا شرح الEigrp[/B][/URL][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93682"]كن خبير لتحليل ترافيك شبكتك مع شرحWireShark[/URL][/B][B][B]..||..[/B][/B][URL="http://www.arabhardware.net/forum/showthread.php?t=94484&highlight=iptv"][B]مقال عن تقنية الIPTV[/B][B][B]..||..[/B][/B][/URL][B][URL="http://www.arabhardware.net/forum/showthread.php?t=93854"]جميع اوامر الروتنجIOS[/URL][/B][B][B]..||..[/B][/B][B][URL="http://www.arabhardware.net/forum/showthread.php?t=94813"]أفضل برنامج لرسم وتخطيط الشبكات وبدون تنصيب[/URL][/B][B][B]..||..

    [/B][/B] [URL="http://badr-call-manager.blogspot.com/"][IMG]http://muslimtech.files.wordpress.com/2010/06/blog-badr-banner.jpg[/IMG][/URL]
    [URL="http://mohammad.islamway.com/"][B]سيرة أشرف من مس هذا الكوكب بقدمه وبجميع اللغات[/B][/URL]

    [/SIZE]

  14. #14
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network

    ده المحتوى بتاع ifup-eth
    #!/bin/bash
    # Network Interface Configuration System
    # Copyright (c) 1996-2005 Red Hat, Inc. all rights reserved.
    #
    # This software may be freely redistributed under the terms of the GNU
    # public license.
    #
    # You should have received a copy of the GNU General Public License
    # along with this program; if not, write to the Free Software
    # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    . /etc/init.d/functions
    cd /etc/sysconfig/network-scripts
    . ./network-functions
    [ -f ../network ] && . ../network
    CONFIG=${1}
    need_config ${CONFIG}
    source_config
    # Old BOOTP variable
    if [ "${BOOTP}" = "yes" ]; then
    BOOTPROTO=bootp
    fi
    if [ "${BOOTPROTO}" = "bootp" -o "${BOOTPROTO}" = "dhcp" ]; then
    DYNCONFIG=true
    fi
    # load the module associated with that device
    # /sbin/modprobe ${REALDEVICE}
    is_available ${REALDEVICE}
    # remap, if the device is bound with a MAC address and not the right device num
    # bail out, if the MAC does not fit
    if [ -n "${HWADDR}" ]; then
    FOUNDMACADDR=`get_hwaddr ${REALDEVICE}`
    if [ "${FOUNDMACADDR}" != "${HWADDR}" ]; then
    curdev=`get_device_by_hwaddr ${HWADDR}`
    if [ -n "$curdev" ]; then
    rename_device "${REALDEVICE}" "${HWADDR}" "${curdev}" || {
    echo $"Device ${DEVICE} has different MAC address than expected, ignoring."
    exit 1
    }
    fi
    fi
    fi
    if [ "${TYPE}" = "Bridge" ]; then
    if [ ! -x /usr/sbin/brctl ]; then
    echo $"Bridge support not available: brctl not found"
    exit 1
    fi
    if ! LC_ALL=C /usr/sbin/brctl show | LC_ALL=C grep -q "^${DEVICE} "; then
    /usr/sbin/brctl addbr ${DEVICE} 2>/dev/null
    fi
    # brctl doesn't report success/failure (BZ #10440
    # Test for ourselves whether it worked.
    if ! /usr/sbin/brctl show | LANG=C grep -q "^${DEVICE} " ; then
    echo $"Bridge support not available in this kernel"
    exit 1
    fi
    [ -n "${DELAY}" ] && /usr/sbin/brctl setfd ${DEVICE} ${DELAY}
    [ -n "${GCINT}" ] && /usr/sbin/brctl setgcint ${DEVICE} ${GCINT}
    [ -n "${STP}" ] && /usr/sbin/brctl stp ${DEVICE} ${STP}
    fi
    # now check the real state
    is_available ${REALDEVICE} || {
    if [ -n "$alias" ]; then
    echo $"$alias device ${DEVICE} does not seem to be present, delaying initialization."
    else
    echo $"Device ${DEVICE} does not seem to be present, delaying initialization."
    fi
    exit 1
    }
    # is the device wireless? If so, configure wireless device specifics
    is_wireless_device ${DEVICE} && . ./ifup-wireless
    if [ -n "${BRIDGE}" -a -x /usr/sbin/brctl ]; then
    if ! LC_ALL=C /usr/sbin/brctl show | LC_ALL=C grep -q "^${BRIDGE} "; then
    /usr/sbin/brctl addbr ${BRIDGE} 2>/dev/null
    fi
    /sbin/ip addr flush dev ${DEVICE} 2>/dev/null
    /sbin/ip link set dev ${DEVICE} up
    [ -n "${LINKDELAY}" ] && /bin/sleep ${LINKDELAY}
    /usr/sbin/brctl addif ${BRIDGE} ${DEVICE}
    # Upon adding a device to a bridge,
    # it's necessary to make radvd reload its config
    [ -r /var/run/radvd/radvd.pid ] && kill -HUP `cat /var/run/radvd/radvd.pid`
    exit 0
    fi
    # this isn't the same as the MAC in the configuration filename. It is
    # available as a configuration option in the config file, forcing the kernel
    # to think an ethernet card has a different MAC address than it really has.
    if [ -n "${MACADDR}" ]; then
    ip link set dev ${DEVICE} address ${MACADDR}
    fi
    # slave device?
    if [ "${SLAVE}" = yes -a "${ISALIAS}" = no -a "${MASTER}" != "" ]; then
    /sbin/ip link set dev ${DEVICE} down
    echo "+${DEVICE}" > /sys/class/net/${MASTER}/bonding/slaves 2>/dev/null
    if [ -n "$ETHTOOL_OPTS" ] ; then
    /sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
    fi
    exit 0
    fi
    # Bonding initialization. For DHCP, we need to enslave the devices early,
    # so it can actually get an IP.
    if [ "$ISALIAS" = no ] && is_bonding_device ${DEVICE} ; then
    /sbin/ip link set dev ${DEVICE} down
    # add the bits to setup driver parameters here
    for arg in $BONDING_OPTS ; do
    key=${arg%%=*};
    value=${arg##*=};
    echo $value > /sys/class/net/${DEVICE}/bonding/$key
    done
    /sbin/ip link set dev ${DEVICE} up
    [ -n "${LINKDELAY}" ] && /bin/sleep ${LINKDELAY}
    for device in `LANG=C grep -l "^[[:space:]]*MASTER=${DEVICE}" /etc/sysconfig/network-scripts/ifcfg-*` ; do
    is_ignored_file "$device" && continue
    /sbin/ifup ${device##*/}
    done
    # add the bits to setup the needed post enslavement parameters
    for arg in $BONDING_OPTS ; do
    key=${arg%%=*};
    value=${arg##*=};
    if [ "${key}" = "primary" ]; then
    echo $value > /sys/class/net/${DEVICE}/bonding/$key
    fi
    done
    fi
    if [ -n "${MTU}" ]; then
    ip link set dev ${DEVICE} mtu ${MTU}
    fi

    if [ -n "${DYNCONFIG}" -a -x /sbin/dhclient ]; then
    # Remove any temporary references which were previously added to dhclient config
    if [ -w /etc/dhclient-${DEVICE}.conf ] ; then
    LC_ALL=C grep -v "# temporary RHL ifup addition" /etc/dhclient-${DEVICE}.conf > /etc/dhclient-${DEVICE}.conf.ifupnew 2> /dev/null
    cat /etc/dhclient-${DEVICE}.conf.ifupnew > /etc/dhclient-${DEVICE}.conf
    rm -f /etc/dhclient-${DEVICE}.conf.ifupnew
    fi
    if [[ "${PERSISTENT_DHCLIENT}" = [yY1]* ]]; then
    ONESHOT="";
    else
    ONESHOT="-1";
    fi;
    if [ -n "${DHCP_HOSTNAME}" ]; then
    # Send a host-name to the DHCP server (requ. by some dhcp servers).
    if [ -w /etc/dhclient-${DEVICE}.conf ] ; then
    if ! LC_ALL=C grep "send *host-name *\"${DHCP_HOSTNAME}\"" /etc/dhclient-${DEVICE}.conf > /dev/null 2>&1 ; then
    echo "send host-name \"${DHCP_HOSTNAME}\"; # temporary RHL ifup addition" >> /etc/dhclient-${DEVICE}.conf
    fi
    elif ! [ -e /etc/dhclient-${DEVICE}.conf ] ; then
    echo "send host-name \"${DHCP_HOSTNAME}\"; # temporary RHL ifup addition" >> /etc/dhclient-${DEVICE}.conf
    fi
    fi
    # allow users to use generic '/etc/dhclient.conf' (as documented in manpage!)
    # if per-device file doesn't exist or is empty
    if [ -s /etc/dhclient-${DEVICE}.conf ]; then
    DHCLIENTCONF="-cf /etc/dhclient-${DEVICE}.conf";
    else
    DHCLIENTCONF='';
    fi;
    # copy any lease obtained by the initrd
    if [ -f /dev/.dhclient-${DEVICE}.leases ] ; then
    mv -f /dev/.dhclient-${DEVICE}.leases /var/lib/dhclient/dhclient-${DEVICE}.leases
    [ -x /sbin/restorecon ] && restorecon /var/lib/dhclient/dhclient-${DEVICE}.leases > /dev/null 2>&1
    fi
    DHCLIENTARGS="${DHCLIENTARGS} ${ONESHOT} -q ${DHCLIENTCONF} -lf /var/lib/dhclient/dhclient-${DEVICE}.leases -pf /var/run/dhclient-${DEVICE}.pid"
    echo
    echo -n $"Determining IP information for ${DEVICE}..."
    if check_link_down ${DEVICE}; then
    echo $" failed; no link present. Check cable?"
    ip link set dev ${DEVICE} down >/dev/null 2>&1
    exit 1
    fi
    if [ -n "$ETHTOOL_OPTS" ] ; then
    /sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
    fi
    if /sbin/dhclient ${DHCLIENTARGS} ${DEVICE} ; then
    echo $" done."
    else
    echo $" failed."
    exit 1
    fi
    # end dynamic device configuration
    else
    if [ -z "${IPADDR}" ]; then
    # enable device without IP, useful for e.g. PPPoE
    ip link set dev ${REALDEVICE} up
    if [ -n "$ETHTOOL_OPTS" ] ; then
    /sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
    fi
    [ -n "${LINKDELAY}" ] && /bin/sleep ${LINKDELAY}
    if [ "${NETWORKING_IPV6}" = "yes" ]; then
    /etc/sysconfig/network-scripts/ifup-ipv6 ${CONFIG}
    fi
    exec /etc/sysconfig/network-scripts/ifup-post ${CONFIG} ${2}
    fi

    expand_config

    [ -n "${ARP}" ] && \
    ip link set dev ${REALDEVICE} $(toggle_value arp $ARP)

    if ! ip link set dev ${REALDEVICE} up ; then
    echo $"Failed to bring up ${DEVICE}."
    exit 1
    fi
    if [ -n "$ETHTOOL_OPTS" ] ; then
    /sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
    fi
    [ -n "${LINKDELAY}" ] && /bin/sleep ${LINKDELAY}
    if [ "${DEVICE}" = "lo" ]; then
    SCOPE="scope host"
    else
    SCOPE=${SCOPE:-}
    fi

    if [ -n "$SRCADDR" ]; then
    SRC="src $SRCADDR"
    else
    SRC=
    fi

    if ! LC_ALL=C ip addr ls ${REALDEVICE} | LC_ALL=C grep -q "${IPADDR}/${PREFIX}" ; then
    if ! arping -q -c 2 -w 3 -D -I ${REALDEVICE} ${IPADDR} ; then
    echo $"Error, some other host already uses address ${IPADDR}."
    exit 1
    fi
    if ! ip addr add ${IPADDR}/${PREFIX} \
    brd ${BROADCAST:-+} dev ${REALDEVICE} ${SCOPE} label ${DEVICE}; then
    echo $"Error adding address ${IPADDR} for ${DEVICE}."
    fi
    fi

    if [ -n "$SRCADDR" ]; then
    sysctl -w "net.ipv4.conf.${REALDEVICE}.arp_filter=1" >/dev/null 2>&1
    fi
    # update ARP cache of neighboring computers
    arping -q -A -c 1 -I ${REALDEVICE} ${IPADDR}
    ( sleep 2;
    arping -q -U -c 1 -I ${REALDEVICE} ${IPADDR} ) > /dev/null 2>&1 < /dev/null &
    # Set a default route.
    if [ -z "${GATEWAYDEV}" -o "${GATEWAYDEV}" = "${REALDEVICE}" ]; then
    # set up default gateway. replace if one already exists
    if [ -n "${GATEWAY}" -a "`ipcalc --network ${GATEWAY} ${NETMASK} 2>/dev/null`" = "NETWORK=${NETWORK}" ]; then
    ip route replace default ${METRIC:+metric $METRIC} \
    via ${GATEWAY} ${WINDOW:+window $WINDOW} ${SRC} \
    ${GATEWAYDEV:+dev $GATEWAYDEV}
    elif [ "${GATEWAYDEV}" = "${DEVICE}" ]; then
    ip route replace default ${METRIC:+metric $METRIC} \
    ${SRC} ${WINDOW:+window $WINDOW} dev ${REALDEVICE}
    fi
    fi
    fi
    # Add Zeroconf route.
    if [ -z "${NOZEROCONF}" -a "${ISALIAS}" = "no" -a "${REALDEVICE}" != "lo" ]; then
    ip route replace 169.254.0.0/16 dev ${REALDEVICE}
    fi
    # IPv6 initialisation?
    if [ "${NETWORKING_IPV6}" = "yes" ]; then
    /etc/sysconfig/network-scripts/ifup-ipv6 ${CONFIG}
    if [[ "${DHCPV6C}" = [Yy1]* ]] && [ -x /sbin/dhcp6c ]; then
    /sbin/dhcp6c ${DEVICE};
    dhcp6_pid=(`/bin/ps -eo 'pid,args' | /bin/grep "dhcp6c ${DEVICE}" | egrep -v grep`);
    echo ${dhcp6_pid[0]} > /var/run/dhcp6c_${DEVICE}.pid
    fi;
    fi
    if [ "${IPX}" = yes ]; then
    /etc/sysconfig/network-scripts/ifup-ipx ${DEVICE}
    fi
    exec /etc/sysconfig/network-scripts/ifup-post ${CONFIG} ${2}

  15. #15
    عضو
    تاريخ التسجيل
    Jul 2009
    المشاركات
    142
    الدولة: Egypt
    معدل تقييم المستوى
    0

    رد: مشكلة عندي جديدة في لينكس في ال Network



    انا لحد دلؤتي مش شايف اي تكرار في اي فايل لل configuration بتاعة كارتات النيت ورك دورت في اماكن كتير بس مش لاقي حاجة

صفحة 1 من 2 1 2 الأخيرةالأخيرة

المواضيع المتشابهه

  1. مشاركات: 7
    آخر مشاركة: 06-06-2011, 11:17
  2. انا عندى مشكلة فى مزر جديدة مش مطلعة بيانات على الشاشة
    بواسطة anadn في المنتدى مشاكل الحاسب وحلولها
    مشاركات: 3
    آخر مشاركة: 04-02-2010, 17:25
  3. انا عندى مشكلة تحميل لينكس على الكمبيوتر
    بواسطة TAREKNET في المنتدى الأرشيف
    مشاركات: 5
    آخر مشاركة: 26-04-2009, 23:02
  4. عندي مشكلة جديدة في الوندوز Xp
    بواسطة Radeon9800pro في المنتدى الأرشيف
    مشاركات: 2
    آخر مشاركة: 04-06-2007, 21:46
  5. عندي مشكلة عندما أضفت شريحة رام جديدة !!!
    بواسطة المطور العربي في المنتدى الأرشيف
    مشاركات: 10
    آخر مشاركة: 12-06-2003, 01:56

المفضلات

ضوابط المشاركة

  • لا تستطيع إضافة مواضيع جديدة
  • لا تستطيع الرد على المواضيع
  • لا تستطيع إرفاق ملفات
  • لا تستطيع تعديل مشاركاتك
  •